.b-basket-table {
  width: 100%;
  display: table;
  font-size: 12px;
  color: #6F6E6E;
}

.b-basket-table__header {
  display: table-header-group;
}

.b-basket-table__tr {
  display: table-row;
}

.b-basket-table__th, .b-basket-table__td {
  display: table-cell;
  padding: 0 21px 16px;
}

.b-basket-table__th {
  display: table-cell;
  font-size: 14px;
  white-space: nowrap;
  border-bottom: 1px solid #EEEDED;
}

.b-basket-table__th:first-child {
  padding-left: 0;
}

.b-basket-table__th:last-child {
  padding-right: 0;
  text-align: right;
}

.b-basket-table__th_center {
  text-align: center;
}

.b-basket-table__th_price, .b-basket-table__th_points, .b-basket-table__th_number, .b-basket-table__th_action {
  padding-left: 16px;
  padding-right: 16px;
}

.b-basket-table__td {
  display: table-cell;
  padding-top: 14px;
  vertical-align: middle;
  border-bottom: 1px solid #EEEDED;
  line-height: 1.334;
}

.b-basket-table__td:last-child {
  padding-right: 0;
  text-align: right;
}

.b-basket-table__td_del, .b-basket-table__td_price, .b-basket-table__td_points, .b-basket-table__td_number, .b-basket-table__td_action {
  text-align: center;
}

.b-basket-table__td_price, .b-basket-table__td_points, .b-basket-table__td_number, .b-basket-table__td_action {
  padding-left: 16px;
  padding-right: 16px;
}

.b-basket-table__clear {
  padding: 0;
  text-decoration: underline;
  border: none;
  background-color: transparent;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  color: #6F6E6E;
}

.b-basket-table__clear:hover {
  color: var(--bs-secondary);
}

.b-basket-table__img {
  width: 79px;
  height: 79px;
  -o-object-fit: contain;
  object-fit: contain;
}

.b-basket-table__del {
  border: none;
  background-color: transparent;
  fill: #6E6E6E;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}

.b-basket-table__del:hover {
  fill: var(--bs-secondary);
}

.b-basket-table__brand {
  text-transform: uppercase;
  font-size: 12px;
  color: #C4C4C4;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
}

.b-basket-table__info a {
  text-decoration: none;
  color: #000;
}

.b-basket-table__info a:hover {
  color: var(--bs-secondary);
}

.b-basket-table__info-group {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin-top: 8px;
}

.b-basket-table__status {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin-right: 14px;
}

.b-basket-table__status:before {
  content: "";
  display: inline-block;
  width: 12px;
  height: 12px;
  margin-right: 7px;
  -webkit-box-flex: 0;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  border-radius: 50%;
  background-color: #C4C4C4;
}

.b-basket-table__status.st-stock:before {
  background-color: var(--bs-primary);
}

.b-basket-table__wrap-numbs {
  min-height: 37px;
}

.b-basket-table__fav {
  border: none;
  background-color: transparent;
  fill: #6E6E6E;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}

.b-basket-table__fav:hover, .b-basket-table__fav.active {
  fill: var(--bs-secondary);
}

.b-basket-table__price {
  display: block;
  font-weight: 600;
  white-space: nowrap;
}

.b-basket-table__old-price {
  font-weight: 600;
  text-decoration: line-through;
  white-space: nowrap;
}

.b-basket-table__total {
  font-size: 14px;
  color: #000;
  white-space: nowrap;
}

.b-basket-table .ui-title-page {
  color: #000;
}

@media (max-width: 1199.98px) {
  .b-basket-table__th, .b-basket-table__td {
    padding-left: 16px;
    padding-right: 16px;
  }
}
@media (max-width: 991.98px) {
  .b-basket-table__info {
    min-height: 32px;
  }
  .b-basket-table__header, .b-basket-table__tr, .b-basket-table__th, .b-basket-table__td {
    display: block;
  }
  .b-basket-table__th {
    padding-left: 0;
    border-bottom: none;
    text-align: left;
  }
  .b-basket-table__th_name, .b-basket-table__th_price, .b-basket-table__th_points, .b-basket-table__th_number, .b-basket-table__th_action, .b-basket-table__th_total {
    display: none;
  }
  .b-basket-table__td {
    padding-top: 0;
    padding-bottom: 8px;
    border-bottom: none;
  }
  .b-basket-table__td_img {
    position: absolute;
    left: 0;
    top: 14px;
  }
  .b-basket-table__td_info {
    width: 100%;
    -webkit-box-ordinal-group: 1;
    -ms-flex-order: 0;
    order: 0;
  }
  .b-basket-table__td_info .b-basket-table__info-group {
    margin-top: 0;
  }
  .b-basket-table__td_total {
    -webkit-box-ordinal-group: 2;
    -ms-flex-order: 1;
    order: 1;
  }
  .b-basket-table__td_price {
    -webkit-box-ordinal-group: 3;
    -ms-flex-order: 2;
    order: 2;
    min-width: calc(100% - 120px);
  }
  .b-basket-table__td_price .b-basket-table__wrap-numbs {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
  }
  .b-basket-table__td_points {
    -webkit-box-ordinal-group: 4;
    -ms-flex-order: 3;
    order: 3;
  }
  .b-basket-table__td_action {
    -webkit-box-ordinal-group: 5;
    -ms-flex-order: 4;
    order: 4;
    text-align: left;
    min-width: calc(100% - 120px);
  }
  .b-basket-table__td_number {
    -webkit-box-ordinal-group: 6;
    -ms-flex-order: 5;
    order: 5;
  }
  .b-basket-table__td_del {
    -webkit-box-ordinal-group: 11;
    -ms-flex-order: 10;
    order: 10;
  }
  .b-basket-table__tr_body {
    position: relative;
    min-height: 140px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 14px 0 6px 150px;
    border-bottom: 1px solid #EEEDED;
  }
  .b-basket-table__status {
    position: absolute;
    top: 100px;
    left: 0;
    max-width: 150px;
  }
  .b-basket-table__wrap-numbs {
    min-height: 0;
  }
  .b-basket-table__price {
    display: inline-block;
    margin-right: 10px;
    padding-left: 16px;
  }
  .b-basket-table__total {
    font-size: 18px;
    font-weight: 600;
  }
  .b-basket-table__fav {
    padding-right: 34px;
  }
  .b-basket-table .ui-enumerator {
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
  }
}
@media (max-width: 575.98px) {
  .b-basket-table {
    font-size: 11px;
  }
  .b-basket-table__clear {
    font-size: 11px;
  }
  .b-basket-table__status {
    top: 88px;
    max-width: 92px;
    font-size: 9px;
    -webkit-box-align: baseline;
    -ms-flex-align: baseline;
    align-items: baseline;
  }
  .b-basket-table__status:before {
    width: 9px;
    height: 9px;
  }
  .b-basket-table__th {
    padding-bottom: 7px;
  }
  .b-basket-table__tr {
    margin-top: 14px;
    padding-top: 0;
  }
  .b-basket-table__tr:nth-child(1), .b-basket-table__tr:nth-child(2) {
    margin-top: 0;
  }
  .b-basket-table__tr_body {
    padding-left: 100px;
    padding-bottom: 4px;
  }
  .b-basket-table__td {
    padding-left: 0;
    padding-right: 0;
    padding-bottom: 5px;
    line-height: 1.35;
  }
  .b-basket-table__td_info {
    padding-bottom: 6px;
  }
  .b-basket-table__td_img {
    top: 10px;
    width: 79px;
    text-align: center;
  }
  .b-basket-table__td_price {
    padding-top: 3px;
    padding-left: 0;
  }
  .b-basket-table__td_points {
    padding-right: 25px;
  }
  .b-basket-table__td_number {
    padding-right: 16px;
  }
  .b-basket-table__td_number .b-basket-table__wrap-numbs {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
  }
  .b-basket-table__td_total:last-child {
    padding-right: 13px;
  }
  .b-basket-table__brand {
    font-size: 11px;
  }
  .b-basket-table__img {
    width: 63px;
    height: 63px;
  }
  .b-basket-table__price {
    margin-right: 0;
    padding-left: 5px;
  }
  .b-basket-table__fav {
    padding-left: 0;
    padding-right: 16px;
  }
}
@media (min-width: 440px) and (max-width: 575.98px) {
  .b-basket-table__td_price, .b-basket-table__td_action {
    padding-top: 0;
    padding-right: 16px;
  }
}
.b-basket-gift {
  margin-top: 50px;
  padding-bottom: 14px;
  border-bottom: 1px solid #EEEDED;
}

.b-basket-gift p {
  color: #6F6E6E;
}

.b-basket-gift__slider {
  margin: 15px 15px 0;
  padding-top: 11px;
}

@media (max-width: 767.98px) {
  .b-basket-gift {
    margin-top: 12px;
    padding-bottom: 2px;
    border-bottom: none;
  }
  .b-basket-gift__slider {
    margin: 0 -20px;
    padding-top: 0;
  }
  .b-basket-gift__info {
    display: none;
  }
  .b-basket-gift .ui-title {
    margin-bottom: 9px;
    text-transform: none;
  }
}
.b-basket-sert {
  margin-bottom: 3px;
  padding-top: 32px;
  /*padding-bottom: 50px;*/
  /*border-bottom: 1px solid #EEEDED;*/
}

.b-basket-sert__info {
  margin-bottom: 40px;
}

.b-basket-sert__row {
  padding-left: 22px;
}

.b-basket-sert__btn {
  width: 186px;
}

@media (max-width: 991.98px) {
  .b-basket-sert__btn {
    width: 126px;
  }
  .b-basket-sert__row {
    padding-left: 0;
  }
}
@media (max-width: 767.98px) {
  .b-basket-sert {
    padding-top: 10px;
    padding-bottom: 0;
    border-bottom: none;
  }
  .b-basket-sert__info {
    display: none;
  }
  .b-basket-sert__btn {
    width: 110px;
  }
}
.b-basket-total {
  margin-bottom: 48px;
  font-size: 12px;
  line-height: 1.334;
}

.b-basket-total__row {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  margin-bottom: 7px;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

.b-basket-total__row:first-child {
  margin-bottom: 12px;
  -webkit-box-align: end;
  -ms-flex-align: end;
  align-items: flex-end;
}

.b-basket-total__row_footer {
  margin-top: 14px;
  font-size: 24px;
}

.b-basket-total__price {
  font-weight: 600;
}

@media (max-width: 991.98px) {
  .b-basket-total__row_footer {
    font-size: 20px;
  }
}
@media (max-width: 767.98px) {
  .b-basket-total {
    margin-bottom: 24px;
    padding-top: 16px;
  }
  .b-basket-total__row {
    margin-bottom: 5px;
  }
  .b-basket-total__row_footer {
    margin-top: 10px;
    font-size: 18px;
    font-weight: 600;
  }
}
.b-basket-promo__success {
  margin-top: 28px;
  padding-left: 22px;
}

.b-basket-promo__item {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-flex: 0;
  -ms-flex: 0 0 264px;
  flex: 0 0 264px;
  max-width: 264px;
  margin-bottom: 18px;
  border: 1px solid #6F6E6E;
  color: #6F6E6E;
  padding: 6px 17px 6px 8px;
  font-size: 14px;
  line-height: 26px;
}

.b-basket-promo__item.st-success {
  border-color: #BFD654;
}

.b-basket-promo__item .ic {
  width: 18px;
  height: 24px;
  margin-right: 4px;
  stroke: #71821F;
  fill: none;
}

.b-basket-promo__item .ic-close {
  position: relative;
  width: 22px;
  height: 22px;
  display: inline-block;
}

.b-basket-promo__item .ic-close:before, .b-basket-promo__item .ic-close:after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: calc(50% - 1px);
  width: 1px;
  background-color: #6F6E6E;
  border-radius: 1px;
}

.b-basket-promo__item .ic-close:before {
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

.b-basket-promo__item .ic-close:after {
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

@media (max-width: 991.98px) {
  .b-basket-promo__success {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-top: 18px;
    padding-left: 0;
  }
  .b-basket-promo__item {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 140px;
    flex: 0 0 140px;
    max-width: 140px;
    margin-bottom: 8px;
    padding: 5px 4px;
    font-size: 12px;
    line-height: 18px;
  }
  .b-basket-promo__item .ic {
    width: 14px;
    height: 18px;
    margin-right: 2px;
  }
  .b-basket-promo__item .ic-close {
    width: 18px;
    height: 18px;
  }
}
.b-basket__submit {
    width: 100%;
}
.b-basket__back {
    width: 325px;
    margin-left: 22px;
}
.b-basket__row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}
.b-basket__col-left {
    max-width: 675px;
    padding-right: 30px;
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
}
.b-basket__col-right {
    width: 349px;
    padding-right: 24px;
}
@media (max-width: 991.98px) {
    .b-basket__col-left {
        width: 350px;
    }
    .b-basket__col-right {
        padding-right: 0;
    }
    .b-basket__back {
        width: 320px;
        margin-left: 0;
    }
}
@media (max-width: 767.98px) {
    .b-basket__row {
        display: block;
    }
    .b-basket__row_btns {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }
    .b-basket__row_btns .b-basket__col-left {
        -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
        order: 2;
    }
    .b-basket__col-left {
        width: 100%;
        padding-right: 0;
    }
    .b-basket__col-right {
        width: 100%;
    }
    .b-basket__back {
        width: 100%;
        margin-top: 22px;
    }
    .b-basket__back .ic-arr-left:after {
        margin-left: -12px;
        border-top-width: 1px;
        border-right-width: 1px;
    }
}
